//
// This file was generated by the Retargetable Decompiler
// Website: https://retdec.com
//

#include <stdint.h>
#include <stdio.h>

// ------------------- Function Prototypes --------------------

void hello(char * message);

// --------------------- Global Variables ---------------------

int32_t g1;

// ------------------------ Functions -------------------------

// From module:   /home/jruchti/rewriting/gtirb-source-annotator/projects/helloworld/hello.c
// Address range: 0x401140 - 0x40115d
// Line range:    4 - 6
void hello(char * message) {
    // 0x401140
    printf(message);
}

// From module:   /home/jruchti/rewriting/gtirb-source-annotator/projects/helloworld/hello.c
// Address range: 0x401160 - 0x4011a8
// Line range:    8 - 14
int main() {
    char message[1];
    // 0x401160
    sprintf(message, "%s", "Hello World!");
    hello(message);
    return (int32_t)&g1 ^ (int32_t)&g1;
}

// --------------- Dynamically Linked Functions ---------------

// int printf(const char * restrict format, ...);
// int sprintf(char * restrict s, const char * restrict format, ...);

// --------------------- Meta-Information ---------------------

// Detected compiler/packer: llvm (10.0.0)
// Detected functions: 2